net.sf.jasperreports.components.table

## Class StandardTable

- java.lang.Object
- - net.sf.jasperreports.components.table.StandardTable

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, TableComponent, Component, JRChangeEventsSupport, JRCloneable, JRVisitable

      public class StandardTable
      extends java.lang.Object
      implements TableComponent, java.io.Serializable, JRChangeEventsSupport

  Version:
    $Id: StandardTable.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_COLUMNS`
    `static java.lang.String` | `PROPERTY_DATASET_RUN`
    `static java.lang.String` | `PROPERTY_WHEN_NO_DATA_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardTable()`
    `StandardTable(TableComponent table, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addColumn(BaseColumn column)`
    `void` | `addColumn(int index, BaseColumn column)`
    `java.lang.Object` | `clone()`
    `java.util.List<BaseColumn>` | `getColumns()`
    `JRDatasetRun` | `getDatasetRun()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `WhenNoDataTypeTableEnum` | `getWhenNoDataType()`
    `boolean` | `removeColumn(BaseColumn column)`
    `void` | `setColumns(java.util.List<BaseColumn> columns)`
    `void` | `setDatasetRun(JRDatasetRun datasetRun)`
    `void` | `setWhenNoDataType(WhenNoDataTypeTableEnum whenNoDataType)`
    `void` | `visit(JRVisitor visitor)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_DATASET_RUN

          public static final java.lang.String PROPERTY_DATASET_RUN

      See Also:
        Constant Field Values

    - #### PROPERTY_COLUMNS

          public static final java.lang.String PROPERTY_COLUMNS

      See Also:
        Constant Field Values

    - #### PROPERTY_WHEN_NO_DATA_TYPE

          public static final java.lang.String PROPERTY_WHEN_NO_DATA_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StandardTable

          public StandardTable()

    - #### StandardTable

          public StandardTable(TableComponent table,
                       JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getColumns

          public java.util.List<BaseColumn> getColumns()

      Specified by:
        `getColumns` in interface `TableComponent`

    - #### setColumns

          public void setColumns(java.util.List<BaseColumn> columns)

    - #### addColumn

          public void addColumn(BaseColumn column)

    - #### addColumn

          public void addColumn(int index,
                       BaseColumn column)

    - #### removeColumn

          public boolean removeColumn(BaseColumn column)

    - #### getDatasetRun

          public JRDatasetRun getDatasetRun()

      Specified by:
        `getDatasetRun` in interface `TableComponent`

    - #### setDatasetRun

          public void setDatasetRun(JRDatasetRun datasetRun)

    - #### getWhenNoDataType

          public WhenNoDataTypeTableEnum getWhenNoDataType()

      Specified by:
        `getWhenNoDataType` in interface `TableComponent`

    - #### setWhenNoDataType

          public void setWhenNoDataType(WhenNoDataTypeTableEnum whenNoDataType)

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

    - #### visit

          public void visit(JRVisitor visitor)

      Specified by:
        `visit` in interface `JRVisitable`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com